Bug 841905 - curl fails to build against newer version of libssh2-devel
Summary: curl fails to build against newer version of libssh2-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: curl
Version: 6.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: alpha
: ---
Assignee: Kamil Dudka
QA Contact: Jiri Jaburek
URL:
Whiteboard:
Depends On:
Blocks: 749873
TreeView+ depends on / blocked
 
Reported: 2012-07-20 14:02 UTC by Kamil Dudka
Modified: 2013-02-21 10:09 UTC (History)
2 users (show)

Fixed In Version: curl-7.19.7-30.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:09:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0393 normal SHIPPED_LIVE curl bug fix and enhancement update 2013-02-20 20:51:32 UTC

Description Kamil Dudka 2012-07-20 14:02:40 UTC
Description of problem:
A suboptimally chosen identifier in curl sources clashes with an identifier introduced in a newer version of libssh2's public header file.


Version-Release number of selected component (if applicable):
curl-7.19.7-29.el6


Actual results:
ssh.c:122: error: conflicting types for 'libssh2_free'
/usr/include/libssh2.h:443: note: previous declaration of 'libssh2_free' was here


Upstream patch:
https://github.com/bagder/curl/commit/5997f54

Comment 11 errata-xmlrpc 2013-02-21 10:09:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0393.html


Note You need to log in before you can comment on or make changes to this bug.